/*
*	WGDocument.h
*		EDocumentNX
*		EMainwindow's Delegate
*
*  Copyright (c) 2001 Tomonori Tomatsu. All rights reserved.
*/
#import <Cocoa/Cocoa.h>

@interface WGDocument : NSDocument
{
    IBOutlet id mWindowCtlr;
}

// Ɖ 
- (void)dealloc;

// NSDocumentǉ 
- (void)makeWindowControllers;
- (void)windowControllerDidLoadNib : (NSWindowController*)aController;
- (NSData*)dataRepresentationOfType : (NSString*)aType;
- (BOOL)loadDataRepresentation : (NSData*)data ofType : (NSString *)aType;

// NSDocument@\ǉ 
- (void)addMainWindowController : (NSWindowController*)windowController;
//- (void)openLocation : (NSString*)path;

// NSWindow's delegate
- (void)printlog:(id)sender;
- (BOOL)windowShouldClose : (NSWindow*)sender;

@end
