/*
*	WGPreferenceOtherController.h
*
*  Copyright (c) 2001 Tomonori Tomatsu. All rights reserved.
*/
#import <Cocoa/Cocoa.h>
#import "WGPreferenceProtocol.h"
#import "WGPreferenceDefine.h"
#import "WGPrefOthrDontDownTableView.h"

#define kWGNowDontDownTableChangedNotification			@"WGNowDontDownTableChangedNotification"

@interface WGPreferenceOtherController : NSObject <WGPreferenceController>
{
    IBOutlet id 	WGPrefreanceInstance;
    IBOutlet id 	_o_DontDownloadList;
    IBOutlet id 	_o_DontDownloadListScrollView;
    IBOutlet id 	_o_DontDownloadListTitle;
    IBOutlet id 	_o_DontLookUpDNS;
    IBOutlet id 	_o_DontLookUpDNSExplanation;
    IBOutlet id 	_o_OnlyCheak;
    IBOutlet id 	_o_ProxyServerAdress;
    IBOutlet id 	_o_ProxyServerAdressTitle;
    IBOutlet id 	_o_ProxyServerPort;
    IBOutlet id 	_o_ProxyServerPortTitle;
    IBOutlet id 	_o_UseFtpPassiveMode;
    IBOutlet id 	_o_UseProxy;
    
    BOOL		mDontLookupDNSCButtonState;
    BOOL		mOnlyCheakCButtonState;
    BOOL		mUseFTPPassiveModeCButtonState;
    BOOL		mUseProxyCButtonState;
    NSMutableString*	mProxyIPAdressState;
    NSMutableString*	mProxyPortState;
    NSMutableArray*	mDontDownloadState;

    BOOL		mSavedDontLookupDNSCButtonState;
    BOOL		mSavedOnlyCheakCButtonState;
    BOOL		mSavedUseFTPPassiveModeCButtonState;
    BOOL		mSavedUseProxyCButtonState;
    NSMutableString*	mSavedProxyIPAdressState;
    NSMutableString*	mSavedProxyPortState;
    NSMutableArray*	mSavedDontDownloadState;
    
    BOOL		mWindowDidBecomedMain;

    long		mChangeValueFlag;
#define	kChangeDontLookupDNS		0x00000001
#define	kChangeOnlyCheak		0x00000002
#define	kChangeUseFTPPassiveMode	0x00000004
#define	kChangeUseProxy			0x00000008
#define	kChangeProxyIPAdress		0x00000010
#define	kChangeProxyPort		0x00000020
#define	kDontDownload			0x00000040

}

- (id)init;
- (void)dealloc;

- (IBAction)hitDontLookupDNSCButton:(id)sender;
- (IBAction)hitFTPUsePassiveModeRButton:(id)sender;
- (IBAction)hitOnlyCheakCButton:(id)sender;
- (IBAction)hitProxyIPAdressTextEdit:(id)sender;
- (IBAction)hitProxyPortTextEdit:(id)sender;
- (IBAction)hitUseProxyCButton:(id)sender;
- (IBAction)hitDontDownloadTable:(id)sender;
- (void)changedDontDownloadTable : (NSNotification *)inNotification;
- (void)windowDidBecomeMain : (NSNotification *)inNotification;

// Ǐ\bh 
- (void)anyItemHit;

@end
