/*
*	WGDocument.m
*		EDocumentNX
*		EMainwindow's Delegate
*
*  Copyright (c) 2001 Tomonori Tomatsu. All rights reserved.
*/
#import "WGDocument.h"

@implementation WGDocument
///////////////////////////////////////////////////
// 		 Ɖ			 //
///////////////////////////////////////////////////
/*===============================
    dealloc
=================================*/
- (void)dealloc
{
    [ mWindowCtlr release ];

    [super dealloc];
}

//////////////////////////////////////////////////
// 		 NSDocumentǉ		//
//////////////////////////////////////////////////
#if 0
/*===============================
    windowNibName
	WGɂẮANSWindowContrller̃TuNXgp̂ŁAKvB 
=================================*/
- (NSString*)windowNibName
{
    return @"wget+";
}
#endif

/*===============================
    makeWindowControllers
	NSWindowContrller̃TuNXNSWindow̓Nibt@CǂݍށB 
=================================*/
- (void)makeWindowControllers
{
    [ NSBundle loadNibNamed : @"wget+MainWindow" owner : self ];
}

/*===============================
    windowControllerDidLoadNib
=================================*/
- (void)windowControllerDidLoadNib : (NSWindowController*)aController
{
    [super windowControllerDidLoadNib:aController];
    // Add any code here that need to be executed once the windowController has loaded the document's window.
}

/*===============================
    dataRepresentationOfType
=================================*/
- (NSData*)dataRepresentationOfType : (NSString*)aType
{
    // Insert code here to write your document from the given data.  You can also choose to override -fileWrapperRepresentationOfType: or -writeToFile:ofType: instead.
    return nil;
}

/*===============================
    loadDataRepresentation:ofType
=================================*/
- (BOOL)loadDataRepresentation : (NSData*)data ofType : (NSString*)aType
{
    // Insert code here to read your document from the given data.  You can also choose to override -loadFileWrapperRepresentation:ofType: or -readFromFile:ofType: instead.
    return YES;
}

///////////////////////////////////////////////////
// 		 NSDocument@\ǉ		 //
///////////////////////////////////////////////////
/*===============================
    addMainWindowController
	MainWindowController̂݁AOutletݒ肷 
=================================*/
- (void)addMainWindowController : (NSWindowController*)windowController
{
    [ windowController retain ];
    mWindowCtlr = windowController;
    [ self addWindowController : windowController ];
}

#if 0
/*===============================
    openLocation
	AppDelegate - windowController̋n  
=================================*/
- (void)openLocation : (NSString*)path
{
    NSRunAlertPanel(@"openLocation", path, @"OK", nil, nil);
    [ mWindowCtlr openLocation : path ];
}
#endif

///////////////////////////////////////////////////
// 		 NSWindow's delegate		 //
///////////////////////////////////////////////////
/*===============================
    printlog (NSWindow's delegate)
	FirstResponser - windowController̋n  
=================================*/
- (void)printlog : (id)sender
{
    [ mWindowCtlr printlog : sender ];
}

/*===============================
    windowShouldClose (NSWindow's delegate)
	FirstResponser - windowController̋n  
=================================*/
- (BOOL)windowShouldClose : (NSWindow*)sender
{
    return [ mWindowCtlr windowShouldClose : sender ];
}

@end
