/*
*	WGPreference.h
*
*  Copyright (c) 2001 Tomonori Tomatsu. All rights reserved.
*/
#import <Cocoa/Cocoa.h>
#import "WGPreferenceDefine.h"
#import "WGPreferenceProtocol.h"

/*=======================================
    Singletonp^[ڎwNX 
=========================================*/
@interface WGPreference : NSObject <WGPreference>
{
    // Tab̃Rg[̃Rg[[ 
    IBOutlet id	WGPreferenceDownloadController;
    IBOutlet id	WGPreferenceLogController;
    IBOutlet id	WGPreferenceOtherController;
    // Rg[ 
    IBOutlet id _cancel;
    IBOutlet id	_default;
    IBOutlet id	_ok;
    IBOutlet id _save;
    IBOutlet id	_preferenceTab;
    IBOutlet id	_window;
    // [U[ftHgt@C̓eێi܂ŁAt@C̓ej 
    NSMutableDictionary* 	mPreferenceDownloadDictionary;
    NSMutableDictionary* 	mPreferenceLogDictionary;
    NSMutableDictionary* 	mPreferenceOtherDictionary;
    // tO 
    BOOL	isFirstShow;
    long	mStateChangeFlag;
#define		kDownloadChange		0x00000001
#define		kLogChange		0x00000002
#define		kOtherChange		0x00000004
}
#define		kPreferenceNibName	@"Preference"

- (id)init;
- (void) awakeFromNib;
- (void)dealloc;

// j[R}h 
- (void)showWindow : (id)sender;

// Args쐬 
- (NSArray*)preferenceArgs;

// IBAction
- (IBAction)pushCancelButton : (id)sender;
- (IBAction)pushDefaultButton : (id)sender;
- (IBAction)pushOkButton : (id)sender;
- (IBAction)pushSaveButton : (id)sender;

// Ǐ\bh 
- (void)save;
- (BOOL)existUserDefaults;
- (void)makeUserDefaults;
- (void)saveUserDefaults;
- (void)getNSApplicationWillTerminateNotification : (NSNotification *)inNotification;

@end
